Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Enum DailyInfoModel.DayInfoType

java.lang.Object
java.lang.Enum<DailyInfoModel.DayInfoType>
com.datecs.fiscalprinter.SDK.model.UserLayerV2.DailyInfoModel.DayInfoType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<DailyInfoModel.DayInfoType>`, `java.lang.constant.Constable`

Enclosing class:
  DailyInfoModel

    public static enum DailyInfoModel.DayInfoType
    extends java.lang.Enum<DailyInfoModel.DayInfoType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `CashInAndCashOut` |
  `CorrectionsAndAnnulled` |
  `DiscountsAndSurcharges` |
  `NumberAandSumOfSells` |
  `Payments` |
  `PaymentsStorno` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static DailyInfoModel.DayInfoType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static DailyInfoModel.DayInfoType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Payments

    public static final DailyInfoModel.DayInfoType Payments

  - ### PaymentsStorno

    public static final DailyInfoModel.DayInfoType PaymentsStorno

  - ### NumberAandSumOfSells

    public static final DailyInfoModel.DayInfoType NumberAandSumOfSells

  - ### DiscountsAndSurcharges

    public static final DailyInfoModel.DayInfoType DiscountsAndSurcharges

  - ### CorrectionsAndAnnulled

    public static final DailyInfoModel.DayInfoType CorrectionsAndAnnulled

  - ### CashInAndCashOut

    public static final DailyInfoModel.DayInfoType CashInAndCashOut

- ## Method Details

  - ### values

    public static DailyInfoModel.DayInfoType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DailyInfoModel.DayInfoType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null